Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataStreamer Class Reference

`#include <vtkPolyDataStreamer.h>`

Inheritance diagram for vtkPolyDataStreamer:

[legend]
Collaboration diagram for vtkPolyDataStreamer:

[legend]
List of all members.

## Detailed Description

Stream appends input pieces to the output.

Date:
  2002/01/22 15:29:37

Revision:
  1.10

vtkPolyDataStreamer initiates streaming by requesting pieces from its single input it appends these pieces it to the requested output. Note that since vtkPolyDataStreamer uses an append filter, all the polygons generated have to be kept in memory before rendering. If these do not fit in the memory, it is possible to make the vtkPolyDataMapper stream. Since the mapper will render each piece separately, all the polygons do not have to stored in memory.

Attention:
  The output may be slightly different if the pipeline does not handle ghost cells properly (i.e. you might see seames between the pieces).

See also:
  vtkAppendFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (66%)
  - Martin, Ken (20%)
  - Geveci, Berk (7%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkPolyDataStreamer.h)`
  - .`cxx` (`/Graphics/vtkPolyDataStreamer.cxx)`

Tests:
  vtkPolyDataStreamer (Tests)

Definition at line 56 of file vtkPolyDataStreamer.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetNumberOfStreamDivisions (int num)
virtual int | GetNumberOfStreamDivisions ()
virtual void | SetColorByPiece (int)
virtual int | GetColorByPiece ()
virtual void | ColorByPieceOn ()
virtual void | ColorByPieceOff ()
## Static Public Methods
vtkPolyDataStreamer * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataStreamer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataStreamer ()
| ~vtkPolyDataStreamer ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | NumberOfStreamDivisions
int | ColorByPiece

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkPolyDataStreamer::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 61 of file vtkPolyDataStreamer.h.

## Constructor & Destructor Documentation

vtkPolyDataStreamer::vtkPolyDataStreamer | ( |  | ) | `[protected]`

vtkPolyDataStreamer::~vtkPolyDataStreamer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPolyDataStreamer* vtkPolyDataStreamer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPolyDataStreamer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkPolyDataStreamer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkPolyDataStreamer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkPolyDataStreamer* vtkPolyDataStreamer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkPolyDataStreamer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkPolyDataStreamer::SetNumberOfStreamDivisions | ( | int | num | ) |

| Set the number of pieces to divide the problem into.

virtual int vtkPolyDataStreamer::GetNumberOfStreamDivisions | ( |  | ) | `[virtual]`

| Set the number of pieces to divide the problem into.

virtual void vtkPolyDataStreamer::SetColorByPiece | ( | int |  | ) | `[virtual]`

| By default, this option is off. When it is on, cell scalars are generated based on which piece they are in.

virtual int vtkPolyDataStreamer::GetColorByPiece | ( |  | ) | `[virtual]`

| By default, this option is off. When it is on, cell scalars are generated based on which piece they are in.

virtual void vtkPolyDataStreamer::ColorByPieceOn | ( |  | ) | `[virtual]`

| By default, this option is off. When it is on, cell scalars are generated based on which piece they are in.

virtual void vtkPolyDataStreamer::ColorByPieceOff | ( |  | ) | `[virtual]`

| By default, this option is off. When it is on, cell scalars are generated based on which piece they are in.

void vtkPolyDataStreamer::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPolyDataStreamer::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

int vtkPolyDataStreamer::NumberOfStreamDivisions`[protected]`

| Definition at line 87 of file vtkPolyDataStreamer.h.

int vtkPolyDataStreamer::ColorByPiece`[protected]`

| Definition at line 88 of file vtkPolyDataStreamer.h.

The documentation for this class was generated from the following file:

- Graphics/vtkPolyDataStreamer.h